Modify

Ticket #94 (closed task: fixed)

Opened 7 years ago

Last modified 7 years ago

Upgrade to 2.5.4

Reported by: and Owned by: andycat
Priority: critical Milestone: 0.2
Component: ATEngageVideo Severity:
Keywords: Cc:
Who will test this:

Description

2.4.5 fixes an important bug that hogs a lot of memory  http://dev.plone.org/plone/ticket/7027

Attachments

Change History

comment:1 Changed 7 years ago by and

  • Milestone set to 0.2

comment:2 Changed 7 years ago by andycat

 http://www.engagemedia.org:8480/Plumi

will become testing.plumi.org

running plone 2.5.4-2 with latest SVN version of PlumiSkin?, with additionally ATVideo/PlumiSkin/ATMediaFile pointing to trunk versions, not tagged versions.

Process for copying over an exitsing Plumi site to a new zope instance:: copy Data.fs from demo.plumi.org instance (/opt/instances/PlumiDemoLive) run move_ES.py to update the ExternalStorage? paths

Upgrading the Plumi site within ZMI: Use archetypes tool to upgrade the schemas Upgrade Plone version - atct tool, portal_migration Reinstall products that have upgrades. Clean and Rebuild Catalog.

comment:3 Changed 7 years ago by andycat

Changes from latest tags of ATVideo/ATMediaFile/Plumiskin that made up 0.1-final, to latest HEAD revision in svn:

This is what needs special testing..

ATVIDEO

------------------------------------------------------------------------
r49486 | andycat | 2007-09-18 23:06:56 +1000 (Tue, 18 Sep 2007) | 4 lines
Changed paths:
   A /ATVideo/branches/engage/content/submission.py
   A /ATVideo/branches/engage/skins/ATEngageVideo/submission_view.pt
   A /ATVideo/branches/engage/skins/ATEngageVideo/submission_view.pt.metadata

new Submissions functionality
http://plumi.org/ticket/66


------------------------------------------------------------------------
r49488 | andycat | 2007-09-18 23:08:05 +1000 (Tue, 18 Sep 2007) | 4 lines
Changed paths:
   M /ATVideo/branches/engage/AppConfig.py
   M /ATVideo/branches/engage/Extensions/AppInstall.py
   M /ATVideo/branches/engage/Extensions/Install.py
   M /ATVideo/branches/engage/version.txt

Install new Submissions content item
new version of ATVideo


------------------------------------------------------------------------
r49489 | andycat | 2007-09-18 23:11:07 +1000 (Tue, 18 Sep 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/content/__init__.py

To load new Submission content type

------------------------------------------------------------------------
r49490 | andycat | 2007-09-18 23:12:23 +1000 (Tue, 18 Sep 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/content/atengagevideofolder.py

change email address

------------------------------------------------------------------------
r49665 | andycat | 2007-09-19 13:30:41 +1000 (Wed, 19 Sep 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/index_html.pt

fix up bug on the alt tags on video images

------------------------------------------------------------------------
r49666 | andycat | 2007-09-19 13:31:58 +1000 (Wed, 19 Sep 2007) | 3 lines
Changed paths:
   M /ATVideo/branches/engage/content/submission.py

some minor schema changes to Submission content type


------------------------------------------------------------------------
r49669 | spanna | 2007-09-19 17:47:30 +1000 (Wed, 19 Sep 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/video_view.pt

Changed Download button text "Download video" to "Download Hi-Res / Screening Version"

------------------------------------------------------------------------
r49819 | andycat | 2007-09-21 17:11:11 +1000 (Fri, 21 Sep 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/README.txt

change email address

------------------------------------------------------------------------
r49820 | andycat | 2007-09-21 17:13:10 +1000 (Fri, 21 Sep 2007) | 7 lines
Changed paths:
   M /ATVideo/branches/engage/content/__init__.py
   M /ATVideo/branches/engage/content/engage.py
   M /ATVideo/branches/engage/content/submission.py
   A /ATVideo/branches/engage/content/submission_folder.py
   M /ATVideo/branches/engage/version.txt

Updates to the Submission content item
New Submission Folder content type to hold these - is autocrated for each new user, but existing users will need to have one created

Catching WorkFlowException inside getFirstPublishedTransitionTime method on ATEngageVideo. This was causing an error, when commenting on videos



------------------------------------------------------------------------
r49821 | andycat | 2007-09-21 17:14:23 +1000 (Fri, 21 Sep 2007) | 3 lines
Changed paths:
   M /ATVideo/branches/engage/Extensions/AppInstall.py
   M /ATVideo/branches/engage/Extensions/Install.py
   M /ATVideo/branches/engage/config.py

code to install new smart folder collection for all categories of Submissions content items


------------------------------------------------------------------------
r49822 | andycat | 2007-09-21 17:15:38 +1000 (Fri, 21 Sep 2007) | 3 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/colophon.pt
   M /ATVideo/branches/engage/skins/ATEngageVideo/submission_view.pt

updates to templates for Submission content item, changing footer


------------------------------------------------------------------------
r49823 | andycat | 2007-09-21 17:17:16 +1000 (Fri, 21 Sep 2007) | 5 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/publish.pt
   M /ATVideo/branches/engage/skins/ATEngageVideo/video_view.pt

Add a link to pubilshing Call for Submissions on publish page

Remove 70%/30% divs in video view


------------------------------------------------------------------------
r50235 | andycat | 2007-09-26 15:45:31 +1000 (Wed, 26 Sep 2007) | 12 lines
Changed paths:
   M /ATVideo/branches/engage/AppConfig.py
   M /ATVideo/branches/engage/Extensions/AppInstall.py
   M /ATVideo/branches/engage/Extensions/Install.py
   M /ATVideo/branches/engage/skins/ATEngageVideo/folder_listing.pt

Plumi/PlumiSkin related changes

bugfix on folder listing template

Dont include PressRoom on dependencies list, for now there is a Kupu related bug

Fix up auto Kupu linkables and collection updates. Only add type if it inst already installed

bugfix on kupu linkables/medias libraries means we can now browse thru the hierarchy of folders/taxonomy, and insert links to other video/submission content items, using the kupu visual editor 



------------------------------------------------------------------------
r50241 | andycat | 2007-09-26 17:16:02 +1000 (Wed, 26 Sep 2007) | 4 lines
Changed paths:
   M /ATVideo/branches/engage/browser/configure.zcml
   A /ATVideo/branches/engage/browser/portlets
   A /ATVideo/branches/engage/browser/portlets/__init__.py
   A /ATVideo/branches/engage/browser/portlets/recent_submissions.py
   A /ATVideo/branches/engage/skins/ATEngageVideo/portlet_recent_submissions.pt


Portlet for Call for Submissions content type


------------------------------------------------------------------------
r50242 | andycat | 2007-09-26 17:33:07 +1000 (Wed, 26 Sep 2007) | 2 lines
Changed paths:
   A /ATVideo/branches/engage/skins/ATEngageVideo/recent_submissions.pt
   A /ATVideo/branches/engage/skins/ATEngageVideo/recent_submissions.pt.metadata

Template for showing recently published call for submissions items

------------------------------------------------------------------------
r50345 | andycat | 2007-09-27 17:31:47 +1000 (Thu, 27 Sep 2007) | 5 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/video_view.pt

Update to the new ATMediaFile method , getDownloadServerURL

http://dev.plone.org/collective/changeset/50344


------------------------------------------------------------------------
r50349 | andycat | 2007-09-27 17:34:37 +1000 (Thu, 27 Sep 2007) | 3 lines
Changed paths:
   M /ATVideo/branches/engage/content/submission.py
   M /ATVideo/branches/engage/skins/ATEngageVideo/portlet_recent_submissions.pt
   M /ATVideo/branches/engage/skins/ATEngageVideo/publish.pt
   M /ATVideo/branches/engage/skins/ATEngageVideo/submission_view.pt

Changes for http://plumi.org/ticket/66


------------------------------------------------------------------------
r50356 | andycat | 2007-09-27 17:39:27 +1000 (Thu, 27 Sep 2007) | 6 lines
Changed paths:
   M /ATVideo/branches/engage/Extensions/AppInstall.py

during the creation of the default members folder , try a migration
for old members ,checks for :
 not being listed (since this was a bug in our personalise_form). This is designed to be used once off!
 See if the members have a 'callouts' folder , if not creates one, and publishes it


------------------------------------------------------------------------
r50697 | andycat | 2007-10-03 17:09:24 +1000 (Wed, 03 Oct 2007) | 3 lines
Changed paths:
   M /ATVideo/branches/engage/Extensions/AppInstall.py

bugfix for migration of Members


------------------------------------------------------------------------
r50925 | andycat | 2007-10-06 01:24:19 +1000 (Sat, 06 Oct 2007) | 5 lines
Changed paths:
   M /ATVideo/branches/engage/Extensions/AppInstall.py
   M /ATVideo/branches/engage/content/engage.py

Updated, bugfixed, version of the old member migration code

ATEngageVideo index_html - make it auto redirect to the download url , if ATMediaFile's tool has been setup with a remote download server url


------------------------------------------------------------------------
r50927 | andycat | 2007-10-06 01:25:26 +1000 (Sat, 06 Oct 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/DEPENDENCIES.txt

update for pressroom product

------------------------------------------------------------------------
r51026 | andycat | 2007-10-08 03:03:50 +1000 (Mon, 08 Oct 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/video_view.pt
   A /ATVideo/branches/engage/skins/ATEngageVideo/vlc-viewed-best.jpg

add in button for user information to use VLC

------------------------------------------------------------------------
r51045 | andycat | 2007-10-08 07:08:39 +1000 (Mon, 08 Oct 2007) | 4 lines
Changed paths:
   D /ATVideo/branches/engage/skins/ATEngageVideo/folder_listing.pt

remove folder_listing template
now in the EngageSkin or PlumiSkin products


------------------------------------------------------------------------
r51047 | andycat | 2007-10-08 07:19:00 +1000 (Mon, 08 Oct 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/Extensions/AppInstall.py

migrate old members events/news folder to use folder summary layout

------------------------------------------------------------------------
r51073 | spanna | 2007-10-08 18:41:19 +1000 (Mon, 08 Oct 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/video_view.pt

Changed VLC DOWNLOAD link to use image vlc-viewed-best.jpg

------------------------------------------------------------------------
r51177 | andycat | 2007-10-09 21:23:52 +1000 (Tue, 09 Oct 2007) | 5 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/index_html.pt

Change to the display of events on the front page

Add in the "first published transition time" in the listing of videos


------------------------------------------------------------------------
r51974 | spanna | 2007-10-18 18:33:14 +1000 (Thu, 18 Oct 2007) | 3 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/video_view.pt

Changed template to remove download class from image on non-vpip condition, width and reference to ThumbnailImage not 
ThumbnailImage_small 

------------------------------------------------------------------------
r52144 | spanna | 2007-10-22 14:21:58 +1000 (Mon, 22 Oct 2007) | 2 lines
Changed paths:
   M /ATVideo/branches/engage/skins/ATEngageVideo/video_view.pt

Changed reference from ThumbnailImage to ThumbnailImage_small

------------------------------------------------------------------------
r52374 | andycat | 2007-10-25 01:18:25 +1000 (Thu, 25 Oct 2007) | 5 lines
Changed paths:
   M /ATVideo/branches/engage/browser/configure.zcml

Declare that  ATTopic implements ContentLicensing's ILicensable interface.
This then overrides the default rss1 view, and instead uses our RSSView , which use ContentLicensing's rss.pt and 
our own rss_remplate.pt override 


------------------------------------------------------------------------

ATMEDIAFILE

------------------------------------------------------------------------
r50344 | andycat | 2007-09-27 17:30:51 +1000 (Thu, 27 Sep 2007) | 3 lines
Changed paths:
   M /ATMediaFile/branches/fat-bt/content/mediafile.py
   M /ATMediaFile/branches/fat-bt/skins/ATMediaFile/prefs_atmediafiletool.cpt
   M /ATMediaFile/branches/fat-bt/skins/ATMediaFile/prefs_atmediafiletool_set.cpy
   M /ATMediaFile/branches/fat-bt/tool/ATMediaFileTool.py
   M /ATMediaFile/branches/fat-bt/version.txt

Add in the facility to enable a remote download host, and its URL, via the atmediafile tool
A media file download server (eg simply downloading via http) _not_ assumed to be streaming or any specific protocol for media distro

------------------------------------------------------------------------
r50926 | andycat | 2007-10-06 01:24:59 +1000 (Sat, 06 Oct 2007) | 3 lines
Changed paths:
   M /ATMediaFile/branches/fat-bt/content/mediafile.py

Refactor out a method to check if the remote download server has been enabled into the tool


------------------------------------------------------------------------

PLUMISKIN

------------------------------------------------------------------------
r50233 | andycat | 2007-09-26 14:03:49 +1000 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /PlumiSkin/trunk/config.py

Make plumiskin dependent upon qPloneComments and qPloneCaptchas


------------------------------------------------------------------------
r50234 | andycat | 2007-09-26 14:25:50 +1000 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /PlumiSkin/trunk/Extensions/Install.py

add in news , events, and recent comments portlets


------------------------------------------------------------------------
r50236 | andycat | 2007-09-26 15:53:54 +1000 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /PlumiSkin/trunk/skins/plumi/personalize_form.cpt

http://plumi.org/ticket/80


------------------------------------------------------------------------
r50239 | andycat | 2007-09-26 16:44:24 +1000 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /PlumiSkin/trunk/Extensions/Install.py

update the ownership for the new submissions taxonomy folder


------------------------------------------------------------------------
r50240 | andycat | 2007-09-26 16:57:31 +1000 (Wed, 26 Sep 2007) | 3 lines
Changed paths:
   M /PlumiSkin/trunk/skins/plumi/login_success.pt

Add the link to let the user publish a 'call for submissions' content item
This is from the ATVideo engage branch 

------------------------------------------------------------------------
r50243 | andycat | 2007-09-26 17:38:50 +1000 (Wed, 26 Sep 2007) | 4 lines
Changed paths:
   M /PlumiSkin/trunk/Extensions/Install.py

add in the submissions portlet on install
requires latest check in of ATVideo
http://dev.plone.org/collective/changeset/50241

------------------------------------------------------------------------
r50931 | andycat | 2007-10-06 01:40:34 +1000 (Sat, 06 Oct 2007) | 2 lines
Changed paths:
   A /PlumiSkin/trunk/skins/plumi/callouts.gif

The Call for Submissions icon

------------------------------------------------------------------------
r50936 | andycat | 2007-10-06 07:11:33 +1000 (Sat, 06 Oct 2007) | 2 lines
Changed paths:
   M /PlumiSkin/trunk/skins/plumi/colophon.pt

Different text

------------------------------------------------------------------------
r51046 | andycat | 2007-10-08 07:11:09 +1000 (Mon, 08 Oct 2007) | 6 lines
Changed paths:
   M /PlumiSkin/trunk/Extensions/Install.py
   A /PlumiSkin/trunk/folder_listing.pt
   A /PlumiSkin/trunk/folder_summary_view.pt


reorder the portlets

templates for folder listings - show in newest to oldest order


------------------------------------------------------------------------
r51080 | andycat | 2007-10-08 20:13:20 +1000 (Mon, 08 Oct 2007) | 3 lines
Changed paths:
   D /PlumiSkin/trunk/folder_listing.pt
   D /PlumiSkin/trunk/folder_summary_view.pt
   A /PlumiSkin/trunk/skins/plumi/folder_listing.pt
   A /PlumiSkin/trunk/skins/plumi/folder_summary_view.pt

moved to right folder


------------------------------------------------------------------------
r52413 | andycat | 2007-10-25 10:54:38 +1000 (Thu, 25 Oct 2007) | 6 lines
Changed paths:
   A /PlumiSkin/trunk/browser
   A /PlumiSkin/trunk/browser/__init__.py
   A /PlumiSkin/trunk/browser/configure.zcml
   A /PlumiSkin/trunk/browser/portlets
   A /PlumiSkin/trunk/browser/portlets/__init__.py
   A /PlumiSkin/trunk/browser/portlets/recent_comments.py
   A /PlumiSkin/trunk/skins/plumi/qplonecomments
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/approve_comment_template.pt
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/notify_comment_template.pt
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/portlet_recent_comments.pt
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/published_comment_template.pt
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/recent_comments.pt
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/recent_comments.pt.metadata
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/rejected_comment_template.pt
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/reply_notify_template.pt
   A /PlumiSkin/trunk/skins/plumi/qplonecomments/validate_talkback.vpy

Add in a recent comment portlet - using a view class
the appropriate zcml
and overrides for qPloneComments templates - including a new portlet template
and page template for latest comments


------------------------------------------------------------------------
r52414 | andycat | 2007-10-25 10:59:39 +1000 (Thu, 25 Oct 2007) | 3 lines
Changed paths:
   A /PlumiSkin/trunk/configure.zcml

This loads the ZCML for the new browser package


------------------------------------------------------------------------

comment:4 Changed 7 years ago by datakid

The news and events headline on testing.plumi.org is no longer bold and the text is no longer indented.

Is it meant to be that way?

open it next to demo.plumi.org and swap tabs to see effect

comment:5 Changed 7 years ago by and

Functionality issues are the main things to look for right now rather than minor CSS errors. By all means ticket that though, it should be changed. I think ticketing it may well take longer than changing the CSS however :)

comment:6 Changed 7 years ago by and

  • Priority changed from major to critical

Hey, so I am not sure if I have understood entirely what is required here so you'll have to be gentle with me. I've basically gone through and tested the elements above. Below are issues that I have found.

  • cannot post comment - remove captchas on commenting
  • callouts naming needs to be standardised, its still referred to as submissions in many places such as the call outs button on /publish, the edit form and in Members folders.
  • Ensure 3 columns is on all pages bar edit forms.
  • Publishing a call for submissions I get

Site error

This site encountered an error trying to fulfill your request. The errors were:

Error Type

AttributeError?

Error Value

pressrelease_relatedcontacts

Request made at

2007/10/25 04:47:47.751 Universal

  • This

" Catching WorkFlowException? inside getFirstPublishedTransitionTime method

on ATEngageVideo. This was causing an error, when commenting on videos"

Is still a problem.

  • Call outs folder is created fine with a new login
  • Members seem to have migrated with their images, unlike the move to 2.5.3, so that's good.
  • Front page shows transition to published date as it should
  • Rss1 works
  • we need to add video workflow to news, events and callouts, I thought this has been done but maybe not.
  • latest video rss2 works fine in miro (there were 2 new videos in there I just published to use)
  • CC - API works fine
  • vPIP works fine apart from flash issue noted in different ticket
  • I edited my profile page and had no problems in terms of disappearing from searches.

I hope that was helpful! :)

comment:7 Changed 7 years ago by anonymous

Commenting and adding objects should be fixed.

Needed to install PressRoom? product - not a listed dependency - this just needs to be noted in INSTALL

Fixed template layer issue with qPloneComments and qPloneCaptcha - qPloneComments should be higher in order from qPloneCaptcha - However we have all files we need from qPloneComments anyway in PlumiSkin?/skin/plumi/qplonecomments So have put overrides in there, without worrying about this order - but we could enforce in the installer if we need.

comment:8 Changed 7 years ago by anonymous

 http://testing.plumi.org/ is working now

Using development version (svn trunk) of Plumi

comment:9 Changed 7 years ago by andycat

  • Status changed from new to closed
  • Resolution set to fixed

The upgrade is done - closing this ticket, as it was soley related to start testing with 2.5.4-2 plone upgrade.

View

Add a comment

Modify Ticket

Action
as closed
The resolution will be deleted. Next status will be 'reopened'
Author


E-mail address and user name can be saved in the Preferences.

 
Note: See TracTickets for help on using tickets.